PayU Ważne: wymagane sprawdzenie Twojego sklepu

PayU Ważne: wymagane sprawdzenie Twojego sklepu

24.02.2021 389

23 Lutego PayU wysłało informację do swoich klientów o zmianie technicznej


Dla operacji takich jak TRANSAKCJA i UZNANIE system PayU używa identyfikatorów numerycznych w postaci liczb całkowitych (w rozumieniu typu danych), tj. INT (INTEGER). Wartość graniczna dla tego typu danych to 2 147 483 647. Ze względu na rosnącą liczbę tych operacji, ich wartości numeryczne w naszym systemie osiągnęły już próg 2 030 000 000. Oznacza to, że w ciągu ok. 3 miesięcy osiągniemy wartość graniczną i identyfikatory numeryczne w postaci liczb całkowitych przestaną być obsługiwane. 

Jeżeli oprogramowanie Twojego sklepu przechowuje wspomniane identyfikatory TRANSAKCJI i UZNANIA jako dane typu INT (INTEGER), nie będzie ich w stanie obsługiwać po przekroczeniu wartości granicznej. 

Dalsze działanie Twojego sklepu wymagać będzie korzystania z danych typu LONG, który pozwala zapisywać znacznie większe wartości (większe niż wartość graniczna dla danych typu INT). 

Upewnij się, czy aktualizacja oprogramowania Twojego sklepu jest konieczna. 



Czy muszę się martwić?

Tak i nie. Moduły, które piszemy od nastu lat mają różne wersje powstałe przy ich ulepszaniu. Nie możemy zagwarantować, że moduł np. z 2016 roku będzie działać prawidłowo.

Jeśli posiadasz starszy moduł, to zawsze zalecamy jego uaktualnienie do najnowszej dostępnej wersji u nas w sklepie lub na koncie klienta. Jeśli nie posiadasz aktualnego wsparcia dla aktualizacji, to wymagany jest zakup nowego modułu przedłużając okres wsparcia o kolejny rok.

Stanowczo zalecamy używanie najnowszych wersji modułów, aby zapobiec problemom związanym z transakcjami oraz bezpieczeństwem!


Moduły OpenCart w wersjach 2.7 oraz 3.1

Moduły w wyżej wymienionych wersjach zostały już wycofane ze sprzedaży. Do końca okresu wsparcia zagwarantowanego przy zakupie możemy zapewnić, że będą działać prawidłowo. Klienci, którzy zakupili te moduły w okresie 1 miesiąca od dziś mogą napisać do nas prośbę o udostępnienie darmowej aktualizacji do najnowszej wersji PayU 4.0 przeznaczonej dla OpenCart 2.3 oraz 3.0.


Nowy moduł posiada nowe rozwiązania i to on będzie w przyszłości rozwijany o nowe funkcjonalności. Dodatkowo został przystosowany do współpracy z wieloma walutami ( odrębne POS ) dzięki czemu można akceptować płatności w Euro i PLN w tym samym czasie. 

Każda z walut trafi na osobne konto POS i nie będzie przewalutowywania w trakcie transakcji po kursie z danego dnia.


Jak sprawdzić jaką mam wersję modułu?

Z lewego menu w OpenCart wybieramy:

Dodatki > Dodatki > Płatności >  PayU ★ Oficjalny partner ★ by Daniel Miara > Edycja

lub 

Dodatki > Płatności >  PayU ★ Oficjalny partner ★ by Daniel Miara > Edycja 

w zakładce Zmiany znajduje się informacja o wersji, która powinna być pierwsza na górze tabeli


Moduły HikaShop, WooCommece, PrestaShop

Moduły będą działać bez problemu do najbliższej aktualizacji. Po tym okresie wymagane będzie pobranie nowego modułu i podmianę plików.

Prawdopodobnie z końcem roku rozstaniemy się z PrestaShop i WooCommerce, a w ich miejsce dodamy inne platformy.


Moduły VirtueMart

Moduły wycofane ze wsparcia.